package controller

import (
	"context"
	"micro-bundle/internal/logic"
	"micro-bundle/pb/bundle"
)

func (b *BundleProvider) SaveBundle(_ context.Context, req *bundle.BundleProfile) (res *bundle.SaveResponse, err error) {
	return logic.SaveBundle(req)
}

// 上下架状态更新
func (b *BundleProvider) HandShelf(_ context.Context, req *bundle.HandShelfRequest) (res *bundle.CommonResponse, err error) {
	// shelfStatus: 1-上架，2-下架
	return logic.HandleShelf(req)
}
func (b *BundleProvider) BundleListV2(_ context.Context, req *bundle.BundleListRequest) (res *bundle.BundleListResponse, err error) {
	return logic.BundleListV2(req)
}

func (b *BundleProvider) BundleDetailV2(_ context.Context, req *bundle.BundleDetailRequest) (res *bundle.BundleDetailResponseV2, err error) {
	return logic.BundleDetailV2(req)
}

// ***************************************************新增值服务***********************
func (b *BundleProvider) SaveValueAddService(_ context.Context, req *bundle.ValueAddServiceLang) (res *bundle.SaveResponse, err error) {
	return logic.SaveValueAddService(req)
}
func (b *BundleProvider) ValueAddServiceList(_ context.Context, req *bundle.ValueAddServiceListRequest) (res *bundle.ValueAddServiceListResponse, err error) {
	return logic.ValueAddServiceList(req)
}
func (b *BundleProvider) ValueAddServiceDetail(_ context.Context, req *bundle.ValueAddServiceDetailRequest) (res *bundle.ValueAddServiceDetailResponse, err error) {
	return logic.ValueAddServiceDetail(req)
}
func (b *BundleProvider) ValueAddServiceLangByUuidAndLanguage(_ context.Context, req *bundle.ValueAddServiceDetailRequest) (res *bundle.ValueAddServiceLang, err error) {
	return logic.ValueAddServiceDetailByUuidAndLanguage(req)
}
func (b *BundleProvider) CalculatePrice(ctx context.Context, req *bundle.CalculatePriceRequest) (res *bundle.CalculatePriceResponse, err error) {
	return logic.CalculatePrice(req)
}

func (b *BundleProvider) BatchGetValueAddServiceLang(ctx context.Context, req *bundle.BatchGetValueAddServiceLangRequest) (res *bundle.BatchGetValueAddServiceLangResponse, err error) {
	return logic.BatchGetValueAddServiceLang(req)
}
