package db

import (
	bundleConfig "micro-bundle/config"
	"strings"

	"github.com/google/wire"
	"gorm.io/gorm"
)

var Provider = wire.NewSet(NewBundleDB)

func NewBundleDB() *gorm.DB {
	connBundleDB := strings.Join([]string{bundleConfig.Data.BundleDB.User, ":", bundleConfig.Data.BundleDB.Password,
		"@tcp(", bundleConfig.Data.BundleDB.Host, ":", bundleConfig.Data.BundleDB.Port, ")/",
		bundleConfig.Data.BundleDB.DbName, "?charset=utf8mb4&parseTime=true&loc=Local"}, "")
	DciDB := loadMysqlConn(connBundleDB)
	return DciDB
}
